## ldaptor 0.0.43+debian1

=== debian/changelog ===
ldaptor (0.0.43+debian1-7) unstable; urgency=low

  * Fix "FTBFS if built twice in a row: unrepresentable changes to source"
    remove build directory in debian/rules clean (Closes: #671527)
  * Bump-Standards-Version to 3.9.3 (no changes)
  * use symlinks to avoid duplicate files in ldaptor-doc, add
    debian/ldaptor-doc.links

 -- Jan Dittberner <jandd@debian.org>  Tue, 15 May 2012 11:31:51 +0200

ldaptor (0.0.43+debian1-6) unstable; urgency=low

  * debian/control:
    - remove unneeded Breaks: ${python:Breaks}
    - bump Standards-Version to 3.9.2 (no changes needed)
  * remove deprecated webui test in debian/rules (dh_override_auto_clean)
    (Closes: #653869)

 -- Jan Dittberner <jandd@debian.org>  Sat, 31 Dec 2011 20:49:34 +0100

ldaptor (0.0.43+debian1-4) unstable; urgency=low

  * remove broken binary package ldaptor-webui
    - change debian/control and debian/rules
    - add patch debian/patches/remove-webui.patch to stop building of
      ldaptor-webui documentation
    - remove debian/ldaptor-webui.*
  * remove build dependencies python-twisted-web, python-nevow, python-
    webut only required for ldaptor-webui
  * switch from python-support to dh_python2
    - add --with python2 to debian/rules
    - remove python-support build dependency
    - bump python dependency to 2.6.5~
    - change XS-Python-Version to X-Python-Version
    - add Breaks: ${python:Breaks} for Python binary packages
  * bump Standards-Version to 3.9.1
  * don't compress api-objects.txt in debian/rules

 -- Jan Dittberner <jandd@debian.org>  Sun, 13 Feb 2011 17:58:57 +0100

ldaptor (0.0.43+debian1-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Don't hardcode ‘site-packages’ in debian/*.install, debian/rules
    (Closes: #586884). Thanks to Angel Abad for the bug report and the initial
    patch.

  [ Jan Dittberner ]
  * add debian/ldaptor-doc.doc-base.api,
    debian/ldaptor-doc.doc-base.ldap-intro, and
    debian/ldaptor-doc.doc-base.addressbook-slides to register
    documentation with doc-base

 -- Jan Dittberner <jandd@debian.org>  Wed, 23 Jun 2010 20:23:03 +0200

ldaptor (0.0.43+debian1-2) unstable; urgency=low

  * add debian/patches/04_replace_string_exceptions_585240_585298_.patch
    to replace string exceptions by real Exception instances (Closes:
    #585240, #585298)
  * debian/control:
    - bump Standards-Version to 3.8.4 (no changes needed)
    - remove unnecessary Build-Depends python-all-dev
    - add python (>= 2.5.4-1~) to Build-Depends

 -- Jan Dittberner <jandd@debian.org>  Sat, 12 Jun 2010 01:59:44 +0200

ldaptor (0.0.43+debian1-1) unstable; urgency=low

  * repack tarball to remove upstream debian directory (fix lintian warnings
    regarding lacking debhelper tokens in maintainer scripts)
    - remove workarounds from debian/rules
  * switch to source format 3.0 (quilt):
    - debian/control: remove explicit quilt dependency
    - add debian/source/format
    - debian/rules: remove --with quilt
    - change debian/README.source

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Dec 2009 11:27:37 +0100

ldaptor (0.0.43-4) unstable; urgency=low

  [ Jan Dittberner ]
  * switch from cdbs to debhelper
  * switch from dpatch to quilt
  * replaced debian/patches/00list with debian/patches/series
  * replaced debian/patches/01_restore_pristine_code.dpatch with
    debian/patches/01_restore_pristine_code.patch
  * add debian/patches/02_fix_526522.patch:
    - fixes the reason of the traceback generated by ldaptor-ldap2passwd
      --help (Closes: #526522)
  * add debian/patches/03_fix_dia_invocation_545663.patch:
    - fixes invocation of dia to generate images during doc build in
      headless environments (Closes: #545663)
  * debian/changelog:
    - fix spelling error (fixes lintian warning)
  * debian/README.source:
    - replace dpatch information with quilt information
  * debian/control:
    - change to d.o email address
    - update Standards-Version to 3.8.3 (no changes needed)
    - remove dpatch and cdbs from Build-Depends
    - add quilt to Build-Depends
    - set minimum debhelper version to 7.0.50
    - add python-docutils to Build-Depends-Indep to fix an epydoc warning
  * debian/ldaptor-ldap2passwd.1, debian/ldaptor-find-server.1,
    debian/ldaptor-ldap2dnszones.1, debian/ldaptor-ldap2pdns.1,
    debian/ldaptor-getfreenumber.1, debian/ldaptor-passwd.1,
    debian/ldaptor-namingcontexts.1, debian/ldaptor-search.1,
    debian/ldaptor-ldap2dhcpconf.1, debian/ldaptor-rename.1,
    debian/ldaptor-ldap2maradns.1, debian/ldaptor-fetchschema.1,
    debian/ldaptor-webui.1: update email address
  * debian/rules:
    - remove debian/postinst, debian/prerm and
      debian/python-ldaptor.README.Debian from upstream tarball's debian
      directory
    - use quilt instead of dpatch macros
    - use dh instead of cdbs
  * add debian/global.cfg, debian/ldaptor-doc.docs,
    debian/ldaptor-doc.examples and debian/ldaptor-webui.examples from
    removed upstream debian directory

  [ Sandro Tosi ]
  * debian/control
    - remove me from Uploaders

 -- Jan Dittberner <jandd@debian.org>  Wed, 21 Oct 2009 20:21:51 +0200

ldaptor (0.0.43-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/{control, patches/*, README.source, rules}
    - added dpatch, to prevent direct upstream code modification
  * debian/copyright
    - clearly separated license and copyright notices
    - indented upstream author with 4 spaces
    - link to LGPL-2.1 file, instead of the generic LGPL
  * debian/control
    - reformat long descriptions, to better use items lists
    - reformat short descriptions, in particular un-capitalize them
    - bump Standards-Version to 3.8.1
  * debian/pycompat
    - removed since not needed
  * debian/{control, pyversions}
    - removed pyversions, superseded by XS-Python-Version
  * debian/prerm
    - removed since no more needed

  [ Ansgar Burchardt ]
  * debian/control:
    - `python-pyopenssl' has been renamed into `python-openssl'. Update


=== debian/control ===
Source: ldaptor
Section: admin
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>
Standards-Version: 3.9.3
Build-Depends-Indep: docbook-slides (>= 3.2.0), xsltproc,
 source-highlight, python-epydoc, dia (>= 0.93-2), python-docutils,
 python-twisted-core, python-twisted-names, python-twisted-mail,
 python-pyparsing, python-openssl, python-crypto, python (>= 2.6.5~)
Build-Depends: debhelper (>= 7.0.50~)
X-Python-Version: all
Homepage: http://www.inoi.fi/open/trac/ldaptor
Vcs-Svn: svn://svn.debian.org/python-modules/packages/ldaptor/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/ldaptor/trunk/

Package: ldaptor-utils
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-ldaptor
Description: command-line LDAP utilities
 A set of LDAP utilities for use from the command line, including:
 .
  * ldaptor-search -- Search LDAP directories.
  * ldaptor-namingcontexts -- Fetch the naming contexts the server supports.
  * ldaptor-find-server -- Find the server that serves the wanted DN by
    looking at DNS SRV records.
  * ldaptor-passwd -- Change passwords.
  * ldaptor-rename -- Change object RDN and DNs.
  * ldaptor-ldap2passwd -- Generate passwd(5) format data from LDAP
    accounts.
  * ldaptor-getfreenumber -- Do an efficient scan for e.g. next free
    uidNumber.
  * ldaptor-ldap2dhcpconf -- Create dhcp.conf based on LDAP host info.
  * ldaptor-ldap2dnszones -- Create a DNS zone files based on LDAP host info.
  * ldaptor-ldap2maradns -- Create a maradns zone file based on LDAP host info.
  * ldaptor-ldap2pdns -- pdns pipe backend.
  * ldaptor-fetchschema -- Fetch schema from a server.

Package: python-ldaptor
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 python-twisted-core (>= 2.2), python-twisted-names (>= 0.2),
 python-twisted-mail (>= 0.2), python-twisted-web (>= 0.5),
 python-pyparsing
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Replaces: python2.3-ldaptor, ldaptor-common
Conflicts: python2.3-ldaptor, ldaptor-common
Description: pure-Python library for LDAP operations
 Ldaptor is a pure-Python library that implements:
 .
  * LDAP client logic.
  * separately-accessible LDAP and BER protocol message generation/parsing.
  * ASCII-format LDAP filter generation and parsing.
  * LDIF format data generation.
  * Samba password changing logic.

Package: ldaptor-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for Ldaptor
 A collection of documentation about Ldaptor and LDAP, including:
 .
  * An introduction to LDAP
  * The Ldaptor library API
  * Slides for a talk "Creating a simple LDAP application"

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

-include /usr/share/python/python.mk
ifeq (,$(py_sitename))
  py_sitename = site-packages
  py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
endif

PYDEFAULT=$(shell pyversions -d)

%:
	dh --with python2 --buildsystem=python_distutils $@

override_dh_install:
	dh_install
	rm -rf \
	  debian/python-ldaptor/usr/lib/python*/*-packages/ldaptor/apps/webui \
	  debian/python-ldaptor/usr/lib/python*/*-packages/ldaptor/test/test_webui.py \
	  debian/ldaptor-utils/usr/bin/ldaptor-webui
	PYTHONPATH=$(CURDIR)/debian/python-ldaptor/$(py_libdir $(PYDEFAULT)) \
	  trial --tbformat=emacs --reporter=text ldaptor

override_dh_auto_build: doc-stamp
doc-stamp:
	make -C doc
	touch $@

override_dh_compress:
	dh_compress -X.py -X.js -Xapi-objects.txt

override_dh_auto_clean:
	find . -type f -name '*.pyc' -delete
	make -C doc clean
	rm -f doc-stamp
	rm -rf _trial_temp
	rm -f ldaptor/test/test_webui.py
	rm -rf build

## ldaptor 0.0.43-0.3ubuntu1

=== debian/changelog ===
ldaptor (0.0.43-0.3ubuntu1) edgy; urgency=low

  * Merge from Debian unstable.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sat, 26 Aug 2006 21:53:56 +1000

ldaptor (0.0.43-0.2ubuntu2) edgy; urgency=low

  * Forward-port the missed change from 0.0.42ubuntu3 that removes empty
    POT files so that pkgstriptranslations doesn't get upset.

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 28 Jul 2006 13:08:01 +1000

ldaptor (0.0.43-0.2ubuntu1) edgy; urgency=low

  * Merge from Debian unstable.
  * Correct ldaptor-webui.install to work with any python version.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 25 Jul 2006 21:35:16 +1000

## ldaptor 0.0.43-0.4

=== doc/Makefile ===
DIAS:= \
	chat-bind.dia \
	chat-search.dia \
	chat-search-pipeline.dia \
	chat-unbind.dia \
	ldapfilter-as-tree.dia \
	ldap-is-a-tree.dia \
	overview.dia

DIAPNG:=$(DIAS:%.dia=%.dia.png)

DOCBOOK:=ldap-intro.xml
SLIDES:=addressbook-slides.xml

GENERATED:=\
	$(DOCBOOK:%.xml=%/index.html) \
	$(SLIDES:%.xml=%/index.html) \
	$(DIAPNG) \
	api

XMLIFY:=sed 's/&/\&amp;/g; s/</\&lt;/g; s/>/\&gt;/g'

all:: $(GENERATED)

clean:
	rm -rf \
		$(GENERATED) \
		ldap-intro \
		$(DIAPNG:%=%.tmp) \
		addressbook-ldif \
		addressbook-session \
		addressbook-slides

rsync: $(GENERATED)
	rsync -a $(DOCBOOK:%.xml=%.html) $(SLIDES:%.xml=%) $(DIAPNG) pyramid.twistedmatrix.com:public_html/ldap-intro/
	rsync -a --exclude '*.pyc' --exclude SCCS --exclude '*~' examples/addressbook/{[0-9]*,README.txt,server}  pyramid.twistedmatrix.com:public_html/ldap-intro/addressbook/

$(DOCBOOK:%.xml=%/index.html): %/index.html: %.xml
	install -d -m0755 '$(@D)'
	xsltproc  --nonet \
		/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/xhtml/docbook.xsl \
		$< \
		>$@.tmp
	mv $@.tmp $@

ldap-intro/index.html: \
	ldap-intro/ldap-is-a-tree.dia.png \
	ldap-intro/ldapfilter-as-tree.dia.png \
	ldap-intro/chat-bind.dia.png \
	ldap-intro/chat-search.dia.png \
	ldap-intro/chat-search-pipeline.dia.png \
	ldap-intro/chat-unbind.dia.png

ldap-intro/%.dia.png: %.dia.png
	install -d -m0755 '$(@D)'
	install -m0644 $< $@.tmp
	mv $@.tmp $@

addressbook-ldif/%.xml: examples/addressbook/server/%.ldif
	install -d -m0755 '$(@D)'
	$(XMLIFY) <$< >$@.tmp
	mv $@.tmp $@

addressbook-session/session-%.xml: examples/addressbook/01_repl/session-%
	install -d -m0755 '$(@D)'
	$(XMLIFY) <$< >$@.tmp
	mv $@.tmp $@

addressbook-slides/%/addressbook-py.html: \
	examples/addressbook/%/addressbook.py tags.j2h
	install -d -m0755 '$(@D)'
	( echo '<font size="+1">' && source-highlight --out-format=xhtml --src-lang=python && echo '</font>' ) <$< >$@.tmp
	mv $@.tmp $@

addressbook-slides/%/addressbook-tac.html: \
	examples/addressbook/%/addressbook.tac tags.j2h
	install -d -m0755 '$(@D)'
	( echo '<font size="+1">' && source-highlight --out-format=xhtml --src-lang=python && echo '</font>' ) <$< >$@.tmp
	mv $@.tmp $@

addressbook-slides/%/searchform-xhtml.html: \
	examples/addressbook/%/searchform.xhtml
	install -d -m0755 '$(@D)'
	( echo '<pre>' && sed 's/&/\&amp;/g; s/</\&lt;/g; s/>/\&gt;/g;' && echo '</pre>' ) <$< >$@.tmp
	mv $@.tmp $@

addressbook-slides/index.html: \
	ldapentry-vs-oo.xml search-inputs.xml

ldap-intro.html: \
	ldapentry-vs-oo.xml search-inputs.xml

$(SLIDES:%.xml=%/index.html): %/index.html: %.xml \
	slides-driver.xsl \
	Makefile $(DIAPNG) \
	addressbook-ldif/doe.xml \
	addressbook-ldif/smith.xml \
	addressbook-session/session-01.xml \
	addressbook-session/session-02.xml \
	addressbook-session/session-03.xml \
	addressbook-session/session-04.xml \
	addressbook-session/session-05.xml \
	addressbook-session/session-06.xml \
	addressbook-session/session-07.xml \
	addressbook-session/session-08.xml \
	addressbook-session/session-09.xml \
	slide-style.css \
	addressbook-slides/02_script/addressbook-py.html \
	addressbook-slides/07_easy/addressbook-py.html \
	addressbook-slides/07_easy/searchform-xhtml.html \
	addressbook-slides/07_easy/addressbook-tac.html
	install -d -m0755 '$(@D)'
	cp -ar /usr/share/sgml/docbook/custom/slides/3.2.0/graphics '$(@D)'
	cp -ar /usr/share/sgml/docbook/custom/slides/3.2.0/browser '$(@D)'
	patch '$(@D)/browser/overlay.js' <overlay.js.patch
	cp $(DIAPNG) '$(@D)'
	cp slide-style.css '$(@D)'
	# TODO --nonet
	cd '$(@D)' && xsltproc \
		--stringparam keyboard.nav 1 \
		--stringparam overlay 1 \
		--stringparam output.indent yes \
		--stringparam graphics.dir graphics \
		--stringparam script.dir browser \
		../slides-driver.xsl \
		'$(addprefix ../,$<)'
	perl -pi -e \
		's{<a href="(.*?)" target="_top">Click me!</a>}{<iframe width=900 height=600 src="$$1" />}g;' \
		'$(@D)'/foil*.html

%.dia.png: %.dia
	dia -t png-libart --export=$@.tmp $<
	mv $@.tmp $@

api:
	epydoc \
	        -o api \
		-n Ldaptor \
		-u http://www.inoi.fi/open/trac/ldaptor/ \
		$$(find ../ldaptor \( -name SCCS -prune \) -o -name '*.py' -print)

.PHONY: api

=== debian/control ===
Source: ldaptor
Section: admin
Priority: optional
Maintainer: Tommi Virtanen <tv@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: docbook-slides (>= 3.2.0), xsltproc, source-highlight, python-epydoc, dia (>= 0.93-2), python-twisted-core , python-twisted-names , python-twisted-mail , python-twisted-web , python-nevow , python-webut, python-pyparsing, python-pyopenssl, python-crypto
Build-Depends: cdbs, debhelper, python-all-dev

Package: ldaptor-utils
Section: admin
Architecture: all
Depends: ${python:Depends}, python-ldaptor
Description: Command-line LDAP utilities
 A set of LDAP utilities for use from the command line, including:
 .
 ldaptor-search -- Search LDAP directories.
 .
 ldaptor-namingcontexts -- Fetch the naming contexts the server supports.
 .
 ldaptor-find-server -- Find the server that serves the wanted DN by
 looking at DNS SRV records.
 .
 ldaptor-passwd -- Change passwords.
 .
 ldaptor-rename -- Change object RDN and DNs.
 .
 ldaptor-ldap2passwd -- Generate passwd(5) format data from LDAP
 accounts.
 .
 ldaptor-getfreenumber -- Do an efficient scan for e.g. next free
 uidNumber.
 .
 ldaptor-ldap2dhcpconf -- Create dhcp.conf based on LDAP host info.
 .
 ldaptor-ldap2dnszones -- Create a DNS zone files based on LDAP host
 info.
 .
 ldaptor-ldap2maradns -- Create a maradns zone file based on LDAP host
 info.
 .
 ldaptor-ldap2pdns -- pdns pipe backend.
 .
 ldaptor-fetchschema -- Fetch schema from a server.
 .
 ldaptor-ldifdiff -- Read two LDIF files and output LDIF modifications
 that modify entries in first file to look like entries in second file.
 .
 ldaptor-ldifpatch -- Read an LDIF file and LDIF modifications and output
 LDIF with the modifications.

Package: ldaptor-webui
Section: admin
Architecture: all
Depends: ${python:Depends}, python-nevow , python-webut, python-ldaptor
Description: Web user interface for editing LDAP directories
 A web-based user interface to search and edit information in an LDAP
 directory.

Package: python-ldaptor
Section: python
Architecture: all
Depends: ${python:Depends}, python-twisted-core (>= 2.2), python-twisted-names (>= 0.2), python-twisted-mail (>= 0.2), python-twisted-web (>= 0.5), python-pyparsing
Replaces: python2.3-ldaptor
Description: Pure-Python library for LDAP
 Ldaptor is a pure-Python library that implements
 .
 - LDAP client logic.
 .
 - separately-accessible LDAP and BER protocol message
 generation/parsing.
 .
 - ASCII-format LDAP filter generation and parsing.
 .
 - LDIF format data generation.
 .
 - Samba password changing logic.
 .
 This is a dummy package that depends on the correct version of
 python-ldaptor for the default version of Python.

Package: ldaptor-doc
Section: doc
Architecture: all
Description: Documentation for Ldaptor
 A collection of documentation about Ldaptor and LDAP, including
 .
 - An introduction to LDAP
 .
 - The Ldaptor library API
 .
 - Slides for a talk "Creating a simple LDAP application"

Package: ldaptor-common
Section: python
Architecture: all
Description: Pure-Python library for LDAP (common files)
 Ldaptor is a pure-Python library that implements
 .
 - LDAP client logic.
 .
 - separately-accessible LDAP and BER protocol message
 generation/parsing.
 .
 - ASCII-format LDAP filter generation and parsing.
 .
 - LDIF format data generation.
 .
 - Samba password changing logic.
 .
 This package contains the common files shared between different
 builds of the library for different Python versions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE := .py .js
DEB_DH_INSTALL_SOURCEDIR := debian/python-ldaptor
DEB_DH_ALWAYS_EXCLUDE := .svn

# see http://bugs.debian.org/295906
cdbs_python_ver = $(filter-out -%,$(subst -, -,$(patsubst python%,%,$(cdbs_curpkg))))

$(patsubst %,binary-post-install/%,$(DEB_PYTHON_REAL_LIB_PACKAGES)):: binary-post-install/python-ldaptor:
	PYTHONPATH='debian/$(cdbs_curpkg)/usr/lib/python$(cdbs_python_ver)/site-packages' \
		'trial$(cdbs_python_ver)' --tbformat=emacs --reporter=text ldaptor

build/ldaptor-doc::
	make -C doc

binary-post-install/ldaptor-utils::
	rm -rf debian/ldaptor-utils/usr/bin/ldaptor-webui

binary-post-install/python-ldaptor:: binary-install/ldaptor-utils binary-install/ldaptor-webui binary-install/ldaptor-common
	rm -rf \
		debian/python-ldaptor/usr/bin \
		debian/python-ldaptor/usr/lib/python*/site-packages/ldaptor/apps/webui \
		debian/python-ldaptor/usr/lib/python*/site-packages/ldaptor/test/test_webui.py \
		debian/python-ldaptor/usr/share/locale

binary-post-install/ldaptor-common::
	find debian/ldaptor-common/usr/share/locale \
		-name '*.mo' \
		-a \! -name 'ldaptor.mo' \
		-print0 \
	| xargs -0 --no-run-if-empty rm --

binary-post-install/ldaptor-webui::
	find debian/ldaptor-webui/usr/share/locale \
		-name '*.mo' \
		-a \! -name 'ldaptor-webui.mo' \
		-print0 \
	| xargs -0 --no-run-if-empty rm --

clean::
	find . -type f -name '*.pyc' -print0 \
	| xargs -0 --no-run-if-empty rm --
	make -C doc clean
	rm -rf _trial_temp

## ldaptor 0.0.43-0.4ubuntu2

=== debian/changelog ===
ldaptor (0.0.43-0.4ubuntu2) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:21:49 +0000

ldaptor (0.0.43-0.4ubuntu1) feisty; urgency=low

  * Merge from Debian unstable.
  * Remaining Ubuntu changes:
    - Remove empty POT files so that pkgstriptranslations doesn't get 
      upset.
  * Ubuntu changes dropped:
    - Correct ldaptor-webui.install to work with any python version.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sun, 12 Nov 2006 17:40:44 +1100

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 $(patsubst %,binary-post-install/%,$(DEB_PYTHON_REAL_LIB_PACKAGES)):: binary-post-install/python-ldaptor:
 	PYTHONPATH='debian/$(cdbs_curpkg)/usr/lib/python$(cdbs_python_ver)/site-packages' \
 		'trial$(cdbs_python_ver)' --tbformat=emacs --reporter=text ldaptor
+
+build/ldaptor-utils::
+	for pot in po/*.pot ; do test -s $$pot || rm -fv $$pot ; done
 
 build/ldaptor-doc::
 	make -C doc
